apply plugin: 'com.android.library'
apply plugin: 'kotlin-android'
apply plugin: 'kotlin-android-extensions'
apply plugin: 'kotlin-kapt'
apply from: "../gradle_component/baseconfig.gradle"
android {
    defaultConfig {
//        javaCompileOptions {
//            annotationProcessorOptions {
//                arguments = [moduleName: project.getName()]
//            }
//        }
        kapt {
            arguments {
                arg("AROUTER_MODULE_NAME", project.getName())
            }
        }
    }
}

dependencies {
    implementation fileTree(dir: 'libs', include: ['*.jar'])
    testImplementation 'junit:junit:4.12'
    androidTestImplementation 'com.android.support.test:runner:1.0.2'
    androidTestImplementation 'com.android.support.test.espresso:espresso-core:3.0.2'
    api "org.jetbrains.kotlin:kotlin-stdlib-jdk7:$rootProject.ext.kotlin_version"//anko
    api "org.jetbrains.anko:anko:$rootProject.ext.anko_version"
    api "org.jetbrains.anko:anko-recyclerview-v7:$rootProject.ext.anko_version"
    api "org.jetbrains.anko:anko-recyclerview-v7-coroutines:$rootProject.ext.anko_version"
    api 'com.alibaba:arouter-api:1.5.0'
    kapt 'com.alibaba:arouter-compiler:1.2.2'
    api 'com.google.zxing:core:3.3.0'
    api 'com.aliyun.dpa:oss-android-sdk:2.9.1'
    api "me.leolin:ShortcutBadger:1.1.22@aar"
//    annotationProcessor "com.alibaba:arouter-compiler:1.2.2"
    api project(':zht_library')
    api project(':locationlib')
    api project(':IMKit')
    api project(':umeng_sdk')
    api project(':download')

    implementation 'com.tencent.bugly:crashreport:latest.release'

    implementation 'com.tencent.bugly:nativecrashreport:latest.release'

}
